chb.hpp File Reference
`#include <cfloat>`

Go to the source code of this file.

## Classes

class | Gecode::CHB
| Class for CHB management. More...
class | Gecode::CHB::Info
| View information. More...
class | Gecode::CHB::Storage
| Object for storing chb information. More...
class | Gecode::CHB::Recorder< View >
| Propagator for recording chb information. More...
class | Gecode::CHB::Recorder< View >::Idx
| Advisor with index and change information. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace